import { css } from '@emotion/react';

function getHacksStyles(hacks) {
  return css([
    /**
     * Disables all backdrop blur effects to improve performance on extremely
     * resource constrained devices.
     *
     * Controlled via the `noBackdropBlur` feature toggle in Grafana
     */
    hacks.hackNoBackdropBlur && {
      "*, *:before, *:after": {
        backdropFilter: "none !important"
      }
    }
  ]);
}

export { getHacksStyles };
//# sourceMappingURL=hacks.mjs.map
