let useTranslate = () => {
  const errorMessage = "useTranslate is not set. useTranslate must not be called before Grafana is initialized.";
  if (process.env.NODE_ENV === "development") {
    throw new Error(errorMessage);
  }
  console.error(errorMessage);
  return (id, defaultMessage) => {
    return defaultMessage;
  };
};
function setUseTranslateHook(hook) {
  useTranslate = hook;
}

export { setUseTranslateHook, useTranslate };
//# sourceMappingURL=i18n.mjs.map
